Skip to content
Справочник APIConsumerConsumer.auth

List all active device sessions for the caller

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

GET
/consumer/v1/auth/device/sessions

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/consumer/v1/auth/device/sessions" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
[  {    "created_at": "2019-08-24T14:15:22Z",    "device_id": "3bafab7b-4400-4bcf-8e6e-09f954699940",    "expires_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "revoked_at": "2019-08-24T14:15:22Z"  }]
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}